## kxd 0.12

=== Makefile ===

GO = go
OUTDIR = ./out

default: kxd kxc

kxd:
	$(GO) build -o $(OUTDIR)/kxd ./kxd

# For the client, because it can be run in a very limited environment without
# glibc (like initramfs), we build it using the native go networking so it can
# work even when glibc's resolvers are missing.
kxc:
	$(GO) build --tags netgo -a -o $(OUTDIR)/kxc ./kxc

fmt:
	gofmt -w .

vet:
	$(GO) tool vet .

test: kxd kxc
	python tests/run_tests -b

tests: test


# Prefixes for installing the files.
PREFIX=/usr
ETCDIR=/etc
SYSTEMDDIR=$(shell pkg-config systemd --variable=systemdsystemunitdir)

# Install utility, we assume it's GNU/BSD compatible.
INSTALL=install

install-all: install-kxd install-init.d install-kxc install-initramfs

install-kxd: kxd
	$(INSTALL) -d $(PREFIX)/bin
	$(INSTALL) -m 0755 out/kxd $(PREFIX)/bin/
	$(INSTALL) -m 0755 scripts/create-kxd-config $(PREFIX)/bin/
	$(INSTALL) -m 0755 scripts/kxd-add-client-key $(PREFIX)/bin/

install-init.d: install-kxd
	$(INSTALL) -m 0755 scripts/init.d/kxd $(ETCDIR)/init.d/kxd
	$(INSTALL) -m 0644 scripts/default/kxd $(ETCDIR)/default/kxd

install-systemd: install-kxd
	$(INSTALL) -m 0644 scripts/default/kxd $(ETCDIR)/default/kxd
	$(INSTALL) -m 0644 scripts/systemd/kxd.service $(SYSTEMDDIR)

install-upstart: install-kxd
	$(INSTALL) -m 0644 scripts/default/kxd $(ETCDIR)/default/kxd
	$(INSTALL) -m 0644 scripts/upstart/kxd.conf $(ETCDIR)/init/

install-kxc: kxc
	$(INSTALL) -m 0755 out/kxc $(PREFIX)/bin/
	$(INSTALL) -m 0755 cryptsetup/kxc-cryptsetup $(PREFIX)/bin/
	$(INSTALL) -m 0755 scripts/kxc-add-key $(PREFIX)/bin/

install-initramfs: install-kxc
	$(INSTALL) -d $(PREFIX)/share/initramfs-tools/hooks/
	$(INSTALL) -m 0755 cryptsetup/initramfs-hooks/kxc \
		$(PREFIX)/share/initramfs-tools/hooks/
	$(INSTALL) -d $(PREFIX)/share/initramfs-tools/scripts/init-premount
	$(INSTALL) -m 0755 cryptsetup/initramfs-scripts/kxc-premount-net \
		$(PREFIX)/share/initramfs-tools/scripts/init-premount/


.PHONY: kxd kxc
.PHONY: install-all install-kxd install-init.d install-kxc install-initramfs
.PHONY: test tests

=== doc/man/Makefile ===

default: manpages

%.1: %.rst
	rst2man < $^ > $@

manpages: kxd.1 kxc.1 kxc-cryptsetup.1

clean:
	rm -f kxd.1 kxc.1 kxc-cryptsetup.1

=== debian/changelog ===
kxd (0.12-4) unstable; urgency=medium

  * New upstream patch: upstream_tests_fix_ssl_validation_in_test_tricky

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Mar 2015 15:14:32 +0100

kxd (0.12-3) unstable; urgency=medium

  * New patch: upstream_tests-assert-negociated. (Closes: #763212)
  * Bump Standards-Version to 3.9.6, no changes needed

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Oct 2014 18:32:04 +0200

kxd (0.12-2) unstable; urgency=medium

  * New patch: upstream_tests-Use-LOGNAME-instead-of-os.getlogin.patch
    (Closes: #755036)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Jul 2014 09:33:05 +0200

kxd (0.12-1) unstable; urgency=medium

  * Initial release (Closes: #747404)
  * Add Vcs-* control fieds.
  * Update init script.
  * Add kxd.lintian-overrides for the init file.
  * New upstream patch: upstream_scripts-Fix-kxd-add-client-key-missing-
    fi-and-wrong-.patch
  * Add a basic kxd.README.Debian file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 14 Jul 2014 22:48:39 +0200

=== debian/control ===
Source: kxd
Section: net
Priority: optional
Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               golang-go,
               openssl,
               python,
               python-docutils
Standards-Version: 3.9.6
Homepage: https://blitiri.com.ar/p/kxd
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/kxd.git
Vcs-Git: git://anonscm.debian.org/collab-maint/kxd.git

Package: kxc
Architecture: any
Depends: cryptsetup, ${misc:Depends}, ${shlibs:Depends}
Description: Key exchange daemon -- client
 kxd is a key exchange daemon, which serves blobs of data (keys) over https.
 .
 It can be used to get keys remotely instead of using local storage. The main
 use case is to get keys to open dm-crypt devices automatically, without having
 to store them on the local machine.
 .
 This package provides the client part of kxd.

Package: kxd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Key exchange daemon
 kxd is a key exchange daemon, which serves blobs of data (keys) over https.
 .
 It can be used to get keys remotely instead of using local storage. The main
 use case is to get keys to open dm-crypt devices automatically, without having
 to store them on the local machine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with=systemd

override_dh_auto_clean:
	dh_auto_clean
	make -C doc/man clean

override_dh_auto_build:
	dh_auto_build
	make -C doc/man

override_dh_auto_install:
	# Avoid calling make install-all, install files with the dh_install
	# rule

override_dh_install:
	dh_install
	[ -d debian/kxc/usr/share/doc/kxc ] || \
	    mkdir -p debian/kxc/usr/share/doc/kxc
	cp cryptsetup/README debian/kxc/usr/share/doc/kxc/cryptsetup.README

=== debian/watch ===
version=3
opts="downloadurlmangle=s!/(\d[\d.]+\d)/$!/$1/kxd-$1.tar.bz2!,\
filenamemangle=s!(\d[\d.]+\d)/!kxd-$1.tar.bz2!" \
    https://blitiri.com.ar/p/kxd/files/ (\d[\d.]\d+)/

## kxd 0.13+git20170730.6182dc8

=== debian/changelog ===
kxd (0.13+git20170730.6182dc8-1) sid; urgency=medium

  [ Alberto Bertogli ]
  * Update to current upstream
  * Drop Debian patches that are no longer needed
  * Add me as uploader, to keep lintian happy
  * Update the standards version (no changes needed)
  * Update debian/watch to look at the github mirror for downloading releases
    (upstream does not publish tarballs anymore)
  * Use "Expat" instead of "MIT" for the license keyword, as per the packaging
    manual

  [ Maximiliano Curia ]
  * Update Vcs fields
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Aug 2017 14:13:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: net
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
+Uploaders: Alberto Bertogli <albertito@blitiri.com.ar>
 Build-Depends: debhelper (>= 9),
                dh-systemd,
                golang-go,
                openssl,
                python,
                python-docutils
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://blitiri.com.ar/p/kxd
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/kxd.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/kxd.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/kxd.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/kxd.git
 
 Package: kxc
 Architecture: any

## kxd 0.14

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
 	gofmt -w .
 
 vet:
-	$(GO) tool vet .
+	$(GO) vet ./...
 
 test: kxd kxc
-	python tests/run_tests -b
+	tests/run_tests -b
 
 tests: test

=== debian/changelog ===
kxd (0.14-2) unstable; urgency=medium

  [ Håvard Flaget Aasen ]
  * Set absolute path in d/rules (Closes: #952332)
  * Cherry-pick upstream commit, needed for upstream testsuite.
    0001-tests-Add-missing-conn.getresponse-which-was-causing.patch

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Apr 2020 11:17:44 +0200

kxd (0.14-1) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Set Built-Using field (Closes: 892117)

  [ Maximiliano Curia ]
  * Update Vcs fields
  * New upstream release (0.14). (Closes: 936811)
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Use python3
  * Drop obsolete dh-systemd
  * Use the right extensions
  * Set GOCACHE
  * Drop no longer needed overrides
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2019 18:28:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
 Uploaders: Alberto Bertogli <albertito@blitiri.com.ar>
-Build-Depends: debhelper (>= 9),
-               dh-systemd,
+Build-Depends: debhelper (>= 12~),
                golang-go,
                openssl,
-               python,
-               python-docutils
-Standards-Version: 4.0.0
+               python3,
+               python3-docutils
+Standards-Version: 4.4.1
 Homepage: https://blitiri.com.ar/p/kxd
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/kxd.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/kxd.git
+Vcs-Browser: https://salsa.debian.org/debian/kxd
+Vcs-Git: https://salsa.debian.org/debian/kxd.git
 
 Package: kxc
 Architecture: any
 Depends: cryptsetup, ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Key exchange daemon -- client
  kxd is a key exchange daemon, which serves blobs of data (keys) over https.
  .
@@ -29,6 +29,7 @@
 Package: kxd
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Key exchange daemon
  kxd is a key exchange daemon, which serves blobs of data (keys) over https.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+export GOCACHE=$(CURDIR)/debian/cache
+
 %:
-	dh $@ --with=systemd
-
-override_dh_auto_clean:
-	dh_auto_clean
-	make -C doc/man clean
-
-override_dh_auto_build:
-	dh_auto_build
-	make -C doc/man
+	dh $@
 
 override_dh_auto_install:
 	# Avoid calling make install-all, install files with the dh_install

=== debian/watch ===
version=3
# Use the github mirror, as upstream does not release tarballs directly.
# The filenamemangle sed expression converts
#   from: /albertito/kxd/archive/0.13.tar.gz
#   to:   kxd-0.13.tar.gz
opts="filenamemangle=s@.*/(\d[\d\.]*)\.tar\.gz@kxd-$1.tar.gz@" \
  https://github.com/albertito/kxd/releases \
  /albertito/kxd/archive/(.+)\.tar\.gz

## kxd 0.15

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,13 @@
 GO = go
 OUTDIR = ./out
 
-default: kxd kxc
+default: kxd kxc kxgencert
 
 kxd:
 	$(GO) build -o $(OUTDIR)/kxd ./kxd
+
+kxgencert:
+	$(GO) build -o $(OUTDIR)/kxgencert ./kxgencert
 
 # For the client, because it can be run in a very limited environment without
 # glibc (like initramfs), we build it using the native go networking so it can
@@ -15,11 +18,12 @@
 
 fmt:
 	gofmt -w .
+	black tests/run_tests
 
 vet:
 	$(GO) vet ./...
 
-test: kxd kxc
+test: kxd kxc kxgencert
 	tests/run_tests -b
 
 tests: test
@@ -33,13 +37,18 @@
 # Install utility, we assume it's GNU/BSD compatible.
 INSTALL=install
 
-install-all: install-kxd install-init.d install-kxc install-initramfs
+install-all: install-kxd install-kxc install-kxgencert \
+	install-init.d install-initramfs
 
 install-kxd: kxd
 	$(INSTALL) -d $(PREFIX)/bin
 	$(INSTALL) -m 0755 out/kxd $(PREFIX)/bin/
 	$(INSTALL) -m 0755 scripts/create-kxd-config $(PREFIX)/bin/
 	$(INSTALL) -m 0755 scripts/kxd-add-client-key $(PREFIX)/bin/
+
+install-kxgencert: kxgencert
+	$(INSTALL) -d $(PREFIX)/bin
+	$(INSTALL) -m 0755 out/kxgencert $(PREFIX)/bin/
 
 install-init.d: install-kxd
 	$(INSTALL) -m 0755 scripts/init.d/kxd $(ETCDIR)/init.d/kxd
@@ -67,7 +76,7 @@
 		$(PREFIX)/share/initramfs-tools/scripts/init-premount/
 
 
-.PHONY: kxd kxc
+.PHONY: kxd kxc kxgencert
 .PHONY: install-all install-kxd install-init.d install-kxc install-initramfs
 .PHONY: test tests

=== debian/changelog ===
kxd (0.15-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Shengjing Zhu ]
  * Backport patch to fix FTBFS (Closes: #1050168)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 24 Aug 2023 17:15:52 +0800

kxd (0.15-4) unstable; urgency=medium

  * Don't run dwz after build (Closes: #1017274)
  * Standards-Version: 4.6.1 (no changes needed)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Wed, 31 Aug 2022 12:33:04 +0100

kxd (0.15-3) unstable; urgency=medium

  * Add modules information (Closes: #997757)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sat, 20 Nov 2021 16:55:41 +0000

kxd (0.15-2) unstable; urgency=medium

  * Souce-only upload for testing migration
  * Fix lintian skip-systemd-native-flag-missing-pre-depends
  * Replace golang-go with golang-any
  * Update Standards-Version to 4.5.1 (no changes)
  * Update uscan watch file version to 4

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 11:16:48 +0800

kxd (0.15-1) unstable; urgency=medium

  * New upstream release (0.15)
  * Remove patch (included in the new release)
  * Remove openssl build-dep (no longer needed)
  * Add new "kxgencert" binary
  * Update debhelper compat 12 -> 13
  * Update standards version 4.4.1 -> 4.5.0

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Mon, 28 Sep 2020 20:52:48 +0100

=== debian/control ===
Source: kxd
Section: net
Priority: optional
Maintainer: Maximiliano Curia <maxy@debian.org>
Uploaders: Alberto Bertogli <albertito@blitiri.com.ar>
Build-Depends: debhelper-compat (= 13),
               golang-any,
               python3,
               python3-docutils
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://blitiri.com.ar/p/kxd
Vcs-Browser: https://salsa.debian.org/debian/kxd
Vcs-Git: https://salsa.debian.org/debian/kxd.git

Package: kxc
Architecture: any
Depends: cryptsetup, kxgencert, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Key exchange daemon -- client
 kxd is a key exchange daemon, which serves blobs of data (keys) over https.
 .
 It can be used to get keys remotely instead of using local storage. The main
 use case is to get keys to open dm-crypt devices automatically, without having
 to store them on the local machine.
 .
 This package provides the client part of kxd.

Package: kxd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kxgencert, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Key exchange daemon
 kxd is a key exchange daemon, which serves blobs of data (keys) over https.
 .
 It can be used to get keys remotely instead of using local storage. The main
 use case is to get keys to open dm-crypt devices automatically, without having
 to store them on the local machine.

Package: kxgencert
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Key exchange daemon -- certificate generator
 kxd is a key exchange daemon, which serves blobs of data (keys) over https.
 .
 It can be used to get keys remotely instead of using local storage. The main
 use case is to get keys to open dm-crypt devices automatically, without having
 to store them on the local machine.
 .
 This package provides a certificate generator, for convenience when setting up
 the client and server.

## kxd 0.17

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,20 @@
 default: kxd kxc kxgencert
 
 kxd:
-	$(GO) build -o $(OUTDIR)/kxd ./kxd
+	$(GO) build ${GOFLAGS} -o $(OUTDIR)/kxd ./kxd
 
 kxgencert:
-	$(GO) build -o $(OUTDIR)/kxgencert ./kxgencert
+	$(GO) build ${GOFLAGS} -o $(OUTDIR)/kxgencert ./kxgencert
 
 # For the client, because it can be run in a very limited environment without
 # glibc (like initramfs), we build it using the native go networking so it can
 # work even when glibc's resolvers are missing.
 kxc:
-	$(GO) build --tags netgo -a -o $(OUTDIR)/kxc ./kxc
+	$(GO) build ${GOFLAGS} --tags netgo -a -o $(OUTDIR)/kxc ./kxc
 
 fmt:
-	gofmt -w .
-	black tests/run_tests
+	gofmt -s -w .
+	black -l 80 tests/run_tests
 
 vet:
 	$(GO) vet ./...

=== debian/changelog ===
kxd (0.17-1) unstable; urgency=medium

  * New upstream release (0.17)

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Mon, 30 Sep 2024 20:14:56 +0100

kxd (0.16-1) unstable; urgency=medium

  * New upstream release (0.16) (Closes: #1063700)
  * debian/patches: Remove patches that are now upstream
  * Standards-Version: 4.7.0

 -- Alberto Bertogli <albertito@blitiri.com.ar>  Sat, 10 Aug 2024 17:46:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                golang-any,
                python3,
                python3-docutils
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://blitiri.com.ar/p/kxd
 Vcs-Browser: https://salsa.debian.org/debian/kxd

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 	[ -d debian/kxc/usr/share/doc/kxc ] || \
 	    mkdir -p debian/kxc/usr/share/doc/kxc
 	cp cryptsetup/README debian/kxc/usr/share/doc/kxc/cryptsetup.README
+
+# Don't run dh_dwz, which does not work on Go binaries (for now).
+override_dh_dwz:

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 # Use the github mirror, as upstream does not release tarballs directly.
 # The filenamemangle sed expression converts
 #   from: /albertito/kxd/archive/0.13.tar.gz
